summaryrefslogtreecommitdiffstats
path: root/tests/t-unpack-divert-nowarn/pkg-divert-unpacking/DEBIAN/preinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:58:51 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 14:58:51 +0000
commitcbffab246997fb5a06211dfb706b54e5ae5bb59f (patch)
tree0573c5d96f58d74d76a49c0f2a70398e389a36d3 /tests/t-unpack-divert-nowarn/pkg-divert-unpacking/DEBIAN/preinst
parentInitial commit. (diff)
downloaddpkg-cbffab246997fb5a06211dfb706b54e5ae5bb59f.tar.xz
dpkg-cbffab246997fb5a06211dfb706b54e5ae5bb59f.zip
Adding upstream version 1.21.22.upstream/1.21.22upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/t-unpack-divert-nowarn/pkg-divert-unpacking/DEBIAN/preinst')
-rwxr-xr-xtests/t-unpack-divert-nowarn/pkg-divert-unpacking/DEBIAN/preinst10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/t-unpack-divert-nowarn/pkg-divert-unpacking/DEBIAN/preinst b/tests/t-unpack-divert-nowarn/pkg-divert-unpacking/DEBIAN/preinst
new file mode 100755
index 0000000..a61ad11
--- /dev/null
+++ b/tests/t-unpack-divert-nowarn/pkg-divert-unpacking/DEBIAN/preinst
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "install" ] || [ "$1" = "upgrade" ]; then
+ dpkg-divert --quiet --package pkg-divert-unpacking --rename \
+ --divert /test-file.diverted --add /test-file 2>&1 | \
+ grep "warning: " && echo "Fail: warning in output" && exit 1 ||
+ echo Pass
+fi